Bug 1409710 - erlang should support noarch packages being installed in /usr/lib/erlang/lib/
Summary: erlang should support noarch packages being installed in /usr/lib/erlang/lib/
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: erlang
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 05:25 UTC by Randy Barlow
Modified: 2017-08-11 14:39 UTC (History)
5 users (show)

Fixed In Version: erlang-19.3.6.2-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-11 14:39:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Randy Barlow 2017-01-03 05:25:59 UTC
Description of problem:
Currently, all Erlang libraries are installed into /usr/lib64/erlang/lib/ on x86_64 systems, regardless of whether they have any arch-dependent code. This causes rpmlint errors, and also causes longer build times for pure-Erlang packages.

We should adjust Erlang path searching setting so that noarch libraries can be installed to /usr/lib/erlang/lib/ so they can officially become noarch packages.

Comment 1 Fedora End Of Life 2017-02-28 10:52:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Peter Lemenkov 2017-08-11 14:39:57 UTC
Initial implementation in erlang-19.3.6.2-2.fc27. Let's test it!


Note You need to log in before you can comment on or make changes to this bug.